Subject: Autogroups

From: [email-masked] (J. Michael Goller)
Date: Fri, 25 Oct 1996 11:29:55 -0700

I really need some help in the
area of autogroups.  Lets say my /usr/local/etc/ftpaccess file looks like
this.

#classes
#
class   web-guest       guest,real              *.dmz.macsch.com
*.is.macsch.com
class   msc-anon        anonymous       *.macsch.com
class   all   real,guest,anonymous  *
#
class   proja-anon       anonymous       *.proja.com
class   projb-anon      anonymous       *.projb.com
class   projc-anon  anonymous       *.projc.com
class   projd-anon        anonymous       *.projd.com
class   proje-anon     anonymous       *.proje.com
#
.
.
.
autogroup       msc     msc-anon
autogroup       proja    proja-anon msc-anon
autogroup       projb    projb-anon msc-anon
autogroup       projc    projc-anon msc-anon
autogroup       projd    projd-anon msc-anon
autogroup       proje    proje-anon msc-anon

And /etc/group

wheel:*:0:
nogroup:*:65534:
daemon:*:1:
kmem:*:2:
bin:*:3:
tty:*:4:
operator:*:5:
news:*:6:
uucp:*:8:
audit:*:9:
staff:*:10:michael
other:*:20:
WWW:*:99:
FTP:*:25:
ftpuser:*:26:
user:*:99:
msc:*:1000:msc,updates
proja:*:1001:
projb:*:1002:
projc:*:1003:
projd:*:1004:
proje:*:1005:

I created a set of 770 dirs that are owned by root and group proja-e.

The problem is that the msc-anon class that get autogroup'ed to msc
does not also get autogroup`ed to the other groups (proja-e)

The syntax for autogroup is:

	autogroup <groupname> <class> [<class> ...]

Is it incorrect to assume that the above syntax means that the WU-ftp
anonymous user shell allows multiple group membership?
If not how was the above intended to be used. If so how do I get it to work
in the above example?

My requirements are that the anonymous users autogroup`ed into "msc" also
get autogroup'ed into all the other groups. The members of the "projX"
group are prohibited from access to "projY" group.

Oh : Version 2.4

Michael

-- 

J Michael Goller II, UNIX Systems Administrator. MacNeal-Schwendler Corp.("MSC")
 815 Colorado Blvd. Los Angeles, CA   90041 (213) 259-4977
[email-masked]  			WWW: http://www.macsch.com